KDE 4.4 PyKDE API Reference

- KDE's Python API

# RunnerManager Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma.RunnerManager

## Detailed Description

RunnerManager plasma/runnermanager.h <Plasma/RunnerManager>

The RunnerManager class decides what installed runners are runnable, and their ratings. It is the main proxy to the runners.

## Signals
| matchesChanged (, [Plasma.QueryMatch] matches)
## Methods
| __init__ (self, QObject parent=0)
| __init__ (self, KConfigGroup config, QObject parent=0)
[QAction] | actionsForMatch (self, Plasma.QueryMatch match)
QStringList | allowedRunners (self)
bool | execQuery (self, QString term, QString runnerName)
bool | execQuery (self, QString term)
| launchQuery (self, QString term, QString runnerId)
| launchQuery (self, QString term)
| matchSessionComplete (self)
[Plasma.QueryMatch] | matches (self)
| matchesChanged (self, [Plasma.QueryMatch] matches)
QString | query (self)
| reloadConfiguration (self)
| reset (self)
| run (self, Plasma.QueryMatch match)
| run (self, QString id)
Plasma.AbstractRunner | runner (self, QString name)
QString | runnerName (self, QString id)
[Plasma.AbstractRunner] | runners (self)
Plasma.RunnerContext | searchContext (self)
| setAllowedRunners (self, QStringList runners)
| setSingleMode (self, bool singleMode)
| setSingleModeRunnerId (self, QString id)
| setupMatchSession (self)
bool | singleMode (self)
QStringList | singleModeAdvertisedRunnerIds (self)
Plasma.AbstractRunner | singleModeRunner (self)
QString | singleModeRunnerId (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | KConfigGroup | config,
|  | QObject | parent=0
| ) |  |  |

[QAction] actionsForMatch | ( | self, |
|  | Plasma.QueryMatch | match
| ) |  |  |

Retrieves the list of actions, if any, for a match

QStringList allowedRunners | ( |  | self ) |

Returns:
  the list of allowed plugins

Since:
  4.4

bool execQuery | ( | self, |
|  | QString | term,
|  | QString | runnerName
| ) |  |  |

Convenience version of above

bool execQuery | ( | self, |
|  | QString | term
| ) |  |  |

Convenience version of above

launchQuery | ( | self, |
|  | QString | term,
|  | QString | runnerId
| ) |  |  |

Convenience version of above

launchQuery | ( | self, |
|  | QString | term
| ) |  |  |

Convenience version of above

matchSessionComplete | ( |  | self ) |

Call this method when the query session is finished for the time being.

Since:
  4.4

See also:
  prepareForMatchSession

[Plasma.QueryMatch] matches | ( |  | self ) |

Retrieves all available matches found so far for the previously launched query

Returns:
  List of matches

matchesChanged | ( | self, |
|  | [Plasma.QueryMatch] | matches
| ) |  |  |

Emitted each time a new match is added to the list

Signal syntax:
  `QObject.connect(source, SIGNAL("matchesChanged(const QList&)"), target_slot)`

QString query | ( |  | self ) |

Returns:
  the current query term

reloadConfiguration | ( |  | self ) |

Causes a reload of the current configuration

reset | ( |  | self ) |

Reset the current data and stops the query

run | ( | self, |
|  | Plasma.QueryMatch | match
| ) |  |  |

Runs a given match @arg id the id of the match to run

run | ( | self, |
|  | QString | id
| ) |  |  |

Runs a given match @arg id the id of the match to run

Plasma.AbstractRunner runner | ( | self, |
|  | QString | name
| ) |  |  |

Finds and returns a loaded runner or NULL @arg name the name of the runner

Returns:
  Pointer to the runner

QString runnerName | ( | self, |
|  | QString | id
| ) |  |  |

Returns the translated name of a runner @arg id the id of the runner

Since:
  4.4

[Plasma.AbstractRunner] runners | ( |  | self ) |

Returns:
  the list of all currently loaded runners

Plasma.RunnerContext searchContext | ( |  | self ) |

Retrieves the current context

Returns:
  pointer to the current context

setAllowedRunners | ( | self, |
|  | QStringList | runners
| ) |  |  |

Sets a whitelist for the plugins that can be loaded

@arg plugins the plugin names of allowed runners

Since:
  4.4

setSingleMode | ( | self, |
|  | bool | singleMode
| ) |  |  |

Sets whether or not the manager is in single mode.

@arg singleMode true if the manager should be in single mode, false otherwise

Since:
  4.4

setSingleModeRunnerId | ( | self, |
|  | QString | id
| ) |  |  |

Puts the manager into "single runner" mode using the given runner; if the runner does not exist or can not be loaded then the single runner mode will not be started and singleModeRunner() will return NULL @arg id the id of the runner to use

Since:
  4.4

setupMatchSession | ( |  | self ) |

Call this method when the runners should be prepared for a query session. Call matchSessionComplete when the query session is finished for the time being.

Since:
  4.4

See also:
  matchSessionComplete

bool singleMode | ( |  | self ) |

Returns:
  true if the manager is set to run in single runner mode

Since:
  4.4

QStringList singleModeAdvertisedRunnerIds | ( |  | self ) |

Returns:
  the names of all runners that advertise single query mode

Since:
  4.4

Plasma.AbstractRunner singleModeRunner | ( |  | self ) |

Returns:
  the currently active "single mode" runner, or null if none

Since:
  4.4

QString singleModeRunnerId | ( |  | self ) |

Returns:
  the id of the runner to use in single mode

Since:
  4.4